# GimpUi.EnumStore.new

    function new(enum_type: GObject.Type): Gtk.ListStore {
        // Gjs wrapper for gimp_enum_store_new()
    }

Creates a new GimpUi.EnumStore, derived from Gtk.ListStore and fills it with enum values. The enum needs to be registered to the type system and should have translatable value names.

Since 2.4

enum_type

  the GLib.Type of an enum.

Returns

  a new GimpUi.EnumStore.